Skip site navigation (1) Skip section navigation (2)

Re: [PATCH] Patch to fix missing libecpg_compat.lib and libpgtypes.lib.

From: Magnus Hagander <magnus(at)hagander(dot)net>
To: Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: PostgreSQL-development <pgsql-hackers(at)postgresql(dot)org>, JiangGuiqing <jianggq(at)cn(dot)fujitsu(dot)com>
Subject: Re: [PATCH] Patch to fix missing libecpg_compat.lib and libpgtypes.lib.
Date: 2013-01-09 16:37:59
Message-ID: CABUevEzNyn4u1bKfSbW3+CkoXUV5RV+TYXc68sGN3BQk=VdXMw@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-hackers
On Tue, Jan 8, 2013 at 4:16 AM, Peter Eisentraut <peter_e(at)gmx(dot)net> wrote:
> On Mon, 2012-11-19 at 14:03 +0800, JiangGuiqing wrote:
>> hi
>>
>> I install postgresql-9.1.5 from source code on windows successfully.
>> But there is not "libecpg_compat.lib" and "libpgtypes.lib" in the
>> installed lib directory .
>> If someone used functions of pgtypes or ecpg_compat library in ecpg
>> programs,the ecpg program build will fail.
>>
>> So i modify src/tools/msvc/Install.pm to resolve this problem.
>> The diff file refer to the attachment "Install.pm.patch".
>
> Could someone with access to Windows verify this patch?

Thta version doesn't even apply to 9.1 - only to master. And the
indent on master is really bad.

That said, function looks good, so I've cleaned i tup and applied.

--
 Magnus Hagander
 Me: http://www.hagander.net/
 Work: http://www.redpill-linpro.com/


In response to

pgsql-hackers by date

Next:From: Andres FreundDate: 2013-01-09 16:42:33
Subject: Re: [PATCH] unified frontend support for pg_malloc et al and palloc/pfree mulation (was xlogreader-v4)
Previous:From: Tom LaneDate: 2013-01-09 16:37:46
Subject: Re: [PATCH] unified frontend support for pg_malloc et al and palloc/pfree mulation (was xlogreader-v4)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group